Bug 126175 - rhythmbox crashes when trying to add music to library
rhythmbox crashes when trying to add music to library
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-17 00:41 EDT by Jesse Keating
Modified: 2013-03-13 00:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:07:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2004-06-17 00:41:43 EDT
Description of problem:
When trying to add more songs to your library, rhythmbox will crash. 
No usefull debuging output was seen.  Library already existed from FC1
install.  I have not tried making a new library.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Launch rhythmbox on FC2 x86-64
2. Select Music->Add to Library
    

Actual Results:  rhythmbox crashes

Expected Results:  Window would pop up to add a directory

Additional info:
Comment 1 Colin Walters 2004-09-16 14:48:23 EDT
It crashes right away?  Is this reproducible with a new user?
Comment 2 John Csellak 2004-11-13 11:00:28 EST
I'm having the same problem with Rhythm box. It crashes when I try to
add a folder to the library. My library is empty and I'm trying to add
initial songs. I'm running Fedora Core 2 i386. Always reproducible.
Comment 3 Brian Fahrlander 2004-12-21 01:49:44 EST
FC3,x86: I notice this, too, but as a 'hang' rather than a crash.  I
have only several hundred titles, but in 10-12 hours of trying in 3h
increments, it's never gotten past some titles.  I thought it was just
slow, but it stops in the same place every time.  One might say it
'can't get over David Benoit'.

I'll look into it again tonight, since I'm not the only one having the
problem, and let you know what I find.

HEY!  How can I get it to spurt diagnotics?  That would help....(I'll
check the man pages, too...)
Comment 4 Colin Walters 2004-12-21 10:52:58 EST
You can use the -d switch.
Comment 5 Rob 2005-07-24 15:12:11 EDT
Same problem here: crashes when adding a folder.
FC4 x86_64
Rhythmbox 0.8.8

[0x5b11f0] [paned_size_allocate_cb] rb-library-source.c:1150 (11:56:37): paned
size allocate
Segmentation fault
[rbell@everest ~]$ rhythmbox -d
[0x5b11f0] [rb_debug_init] rb-debug.c:129 (12:02:11): Debugging enabled
[0x5b11f0] [main] main.c:177 (12:02:11): initializing Rhythmbox 0.8.8
[0x5b11f0] [main] main.c:191 (12:02:11): Going to create a new shell
[0x5b11f0] [rb_shell_construct] rb-shell.c:1381 (12:02:11): Constructing shell
[0x5b11f0] [rb_shell_construct] rb-shell.c:1400 (12:02:12): shell: creating
container area
[0x5b11f0] [rb_shell_construct] rb-shell.c:1416 (12:02:12): shell: loading bonobo ui
[0x5b11f0] [rb_shell_construct] rb-shell.c:1423 (12:02:12): creating database object
[0x5b11f0] [rb_shell_construct] rb-shell.c:1453 (12:02:12): shell: setting up
tray icon
[0x5b11f0] [tray_destroy_cb] rb-shell.c:2710 (12:02:12): creating new tray icon
[0x5b11f0] [rb_tray_icon_init] rb-tray-icon.c:220 (12:02:12): setting up tray icon
[0x5b11f0] [rb_shell_construct] rb-shell.c:1464 (12:02:12): shell: initializing
shell services
[0x5b11f0] [rb_volume_sync_volume] rb-volume.c:286 (12:02:13): current volume is
1.000000
[0x5b11f0] [rb_shell_player_set_playing_source_internal] rb-shell-player.c:1764
(12:02:13): setting playing source to (nil)
[0x5b11f0] [rb_shell_player_stop] rb-shell-player.c:1809 (12:02:13): stopping
[0x5b11f0] [rb_shell_player_sync_with_source] rb-shell-player.c:1621 (12:02:13):
playing source: (nil), active entry: (nil)
[0x5b11f0] [rb_header_sync] rb-header.c:489 (12:02:13): syncing with node = (nil)
[0x5b11f0] [rb_header_sync] rb-header.c:580 (12:02:13): not playing
[0x5b11f0] [rb_statusbar_sync_state] rb-statusbar.c:515 (12:02:13): syncing state
[0x5b11f0] [rb_shell_construct] rb-shell.c:1546 (12:02:13): shell: adding gconf
notification
[0x5b11f0] [rb_shell_construct] rb-shell.c:1561 (12:02:13): shell: syncing with
gconf
[0x5b11f0] [rb_load_failure_dialog_sync_window_state]
rb-load-failure-dialog.c:231 (12:02:13): syncing window state
[0x5b11f0] [queue_changed_sig] rb-entry-view.c:1669 (12:02:14): queueing changed
signal
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x82c3d0 (Tra_ck)
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x8347a0 (_Title)
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x835090 (Ge_nre)
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x8364a0 (Art_ist)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x836ca0 (A_lbum)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x8374b0 (Ti_me)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x837af0 (_Rating)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x839940 (_Play Count)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x83ad30 (L_ast Played)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_library_source_state_prefs_sync] rb-library-source.c:1158
(12:02:14): syncing state
[0x5b11f0] [rb_library_source_do_query] rb-library-source.c:1431 (12:02:14):
preparing to read lock for query
[0x5b11f0] [rb_library_source_do_query] rb-library-source.c:1446 (12:02:14):
current sorting: Artist,ascending, match: FALSE
[0x5b11f0] [rb_library_source_do_query] rb-library-source.c:1481 (12:02:14):
query type: 0
[0x5b11f0] [rb_library_source_do_query] rb-library-source.c:1485 (12:02:14):
caching new query
[0x5b11f0] [rb_library_source_do_query] rb-library-source.c:1566 (12:02:14):
setting empty model
[0x5b11f0] [rhythmdb_query_model_cancel] rhythmdb-query-model.c:574 (12:02:14):
cancelling query
[0x5b11f0] [rhythmdb_query_model_finalize] rhythmdb-query-model.c:528
(12:02:14): finalizing query model
[0x5b11f0] [rb_library_source_do_query] rb-library-source.c:1571 (12:02:14):
doing query
[0x7a06b0] [query_thread_main] rhythmdb.c:1897 (12:02:14): doing query
[0x7a06b0] [do_query_recurse] rhythmdb-tree.c:1836 (12:02:14): doing recursive
query, 1 conjunctions
[0x7a06b0] [query_thread_main] rhythmdb.c:1908 (12:02:14): completed
[0x5b11f0] [impl_search] rb-library-source.c:938 (12:02:14): doing search for
"(NULL)"
[0x5b11f0] [rb_library_source_do_query] rb-library-source.c:1431 (12:02:14):
preparing to read lock for query
[0x5b11f0] [rb_library_source_do_query] rb-library-source.c:1435 (12:02:14):
killing active query
[0x5b11f0] [rhythmdb_query_model_cancel] rhythmdb-query-model.c:574 (12:02:14):
cancelling query
[0x5b11f0] [rb_library_source_do_query] rb-library-source.c:1446 (12:02:14):
current sorting: Artist,ascending, match: TRUE
[0x5b11f0] [rb_library_source_do_query] rb-library-source.c:1450 (12:02:14):
cached query hit
[0x5b11f0] [rhythmdb_query_model_cancel] rhythmdb-query-model.c:574 (12:02:14):
cancelling query
[0x5b11f0] [rhythmdb_query_model_poll] rhythmdb-query-model.c:902 (12:02:14):
inserting 0 rows
[0x5b11f0] [queue_changed_sig] rb-entry-view.c:1669 (12:02:14): queueing changed
signal
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x7b3ac0 (_Title)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x84ea40 (Ge_nre)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x851740 (_Rating)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x851fd0 (_Play Count)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_entry_view_append_column_custom] rb-entry-view.c:1319 (12:02:14):
appending column: 0x8527d0 (L_ast Played)
[0x5b11f0] [rb_entry_view_sync_sorting] rb-entry-view.c:1071 (12:02:14):
emitting sort order changed
[0x5b11f0] [rb_iradio_source_state_prefs_sync] rb-iradio-source.c:647
(12:02:14): syncing state
[0x5b11f0] [rhythmdb_query_model_cancel] rhythmdb-query-model.c:574 (12:02:14):
cancelling query
[0x5b11f0] [rhythmdb_query_model_finalize] rhythmdb-query-model.c:528
(12:02:14): finalizing query model
[0x5b11f0] [query_thread_main] rhythmdb.c:1897 (12:02:14): doing query
[0x5b11f0] [do_query_recurse] rhythmdb-tree.c:1836 (12:02:14): doing recursive
query, 1 conjunctions
[0x5b11f0] [query_thread_main] rhythmdb.c:1908 (12:02:14): completed
[0x5b11f0] [rhythmdb_query_model_poll] rhythmdb-query-model.c:902 (12:02:14):
inserting 0 rows
[0x5b11f0] [rhythmdb_query_model_cancel] rhythmdb-query-model.c:574 (12:02:14):
cancelling query
[0x5b11f0] [query_thread_main] rhythmdb.c:1897 (12:02:14): doing query
[0x5b11f0] [do_query_recurse] rhythmdb-tree.c:1836 (12:02:14): doing recursive
query, 1 conjunctions
[0x5b11f0] [query_thread_main] rhythmdb.c:1908 (12:02:14): completed
[0x5b11f0] [rhythmdb_query_model_poll] rhythmdb-query-model.c:902 (12:02:14):
inserting 0 rows
[0x5b11f0] [rb_shell_construct] rb-shell.c:1596 (12:02:14): shell: creating
playlist manager
[0x5b11f0] [rb_shell_select_source_internal] rb-shell.c:1968 (12:02:14):
selecting source 0x82ad90
[0x5b11f0] [rb_shell_clipboard_set_property] rb-shell-clipboard.c:267
(12:02:14): selected source 0x82ad90
[0x5b11f0] [rb_shell_clipboard_sync] rb-shell-clipboard.c:364 (12:02:14):
syncing clipboard
[0x5b11f0] [rb_shell_player_set_property] rb-shell-player.c:643 (12:02:14):
selected source 0x82ad90
[0x5b11f0] [rb_shell_player_sync_with_selected_source] rb-shell-player.c:1882
(12:02:14): syncing with selected source: 0x82ad90
[0x5b11f0] [rb_shell_player_sync_with_selected_source] rb-shell-player.c:1885
(12:02:14): no playing source, new source is 0x82ad90
[0x5b11f0] [rb_shell_player_sync_with_source] rb-shell-player.c:1621 (12:02:14):
playing source: (nil), active entry: (nil)
[0x5b11f0] [rb_shell_set_window_title] rb-shell.c:2050 (12:02:14): clearing title
[0x5b11f0] [rb_header_sync] rb-header.c:489 (12:02:14): syncing with node = (nil)
[0x5b11f0] [rb_header_sync] rb-header.c:580 (12:02:14): not playing
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:14):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:14):
setting play button
[0x5b11f0] [rb_source_header_set_property] rb-source-header.c:246 (12:02:14):
selected source 0x82ad90
[0x5b11f0] [rb_source_header_disclosure_toggled_cb] rb-source-header.c:407
(12:02:14): disclosed: TRUE
[0x5b11f0] [rb_statusbar_set_property] rb-statusbar.c:319 (12:02:14): selected
source 0x82ad90
[0x5b11f0] [rb_shell_construct] rb-shell.c:1641 (12:02:14): Registering with
Bonobo Activation...
[0x5b11f0] [rb_shell_construct] rb-shell.c:1665 (12:02:14): Registered with
Bonobo Activation
[0x5b11f0] [rb_shell_construct] rb-shell.c:1670 (12:02:14): loading database
[0x5b11f0] [rb_shell_construct] rb-shell.c:1679 (12:02:14): shell: syncing
window state
[0x5b11f0] [rb_shell_sync_paned] rb-shell.c:2508 (12:02:14): syncing paned to 110
[0x5b11f0] [rb_statusbar_sync_state] rb-statusbar.c:515 (12:02:14): syncing state
[0x5b11f0] [rb_statusbar_sync_state] rb-statusbar.c:515 (12:02:14): syncing state
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:14):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:14):
setting play button
[0x5b11f0] [paned_size_allocate_cb] rb-library-source.c:1150 (12:02:14): paned
size allocate
[0x5b11f0] [paned_size_allocate_cb] rb-iradio-source.c:639 (12:02:14): paned
size allocate
[0x5b11f0] [paned_size_allocate_cb] rb-shell.c:2530 (12:02:14): paned size allocate
[0x5b11f0] [paned_size_allocate_cb] rb-library-source.c:1150 (12:02:14): paned
size allocate
[0x5b11f0] [paned_size_allocate_cb] rb-iradio-source.c:639 (12:02:14): paned
size allocate
[0x5b11f0] [paned_size_allocate_cb] rb-shell.c:2530 (12:02:14): paned size allocate
[0x5b11f0] [rb_shell_clipboard_entryview_changed_cb] rb-shell-clipboard.c:556
(12:02:14): entryview changed
[0x5b11f0] [rb_shell_clipboard_sync] rb-shell-clipboard.c:364 (12:02:14):
syncing clipboard
[0x5b11f0] [rb_shell_player_entry_view_changed_cb] rb-shell-player.c:1515
(12:02:14): entry view changed
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:14):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:14):
setting play button
[0x5b11f0] [rb_statusbar_entry_view_changed_cb] rb-statusbar.c:582 (12:02:14):
entry view changed
[0x5b11f0] [rb_shell_window_state_cb] rb-shell.c:1727 (12:02:14): caught window
state change
[0x5b11f0] [rb_shell_window_state_cb] rb-shell.c:1727 (12:02:14): caught window
state change
[0x5b11f0] [paned_size_allocate_cb] rb-library-source.c:1150 (12:02:14): paned
size allocate
[0x5b11f0] [paned_size_allocate_cb] rb-shell.c:2530 (12:02:14): paned size allocate
[0x5b11f0] [rb_shell_player_state_changed_cb] rb-shell-player.c:1435 (12:02:14):
state changed
[0x5b11f0] [rb_shell_player_sync_control_state] rb-shell-player.c:1377
(12:02:14): syncing control state
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:14):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:14):
setting play button
[0x5b11f0] [rb_library_source_state_pref_changed] rb-library-source.c:1174
(12:02:14): state prefs changed
[0x5b11f0] [rb_library_source_state_prefs_sync] rb-library-source.c:1158
(12:02:14): syncing state
[0x5b11f0] [rb_shell_player_state_changed_cb] rb-shell-player.c:1435 (12:02:14):
state changed
[0x5b11f0] [rb_shell_player_sync_control_state] rb-shell-player.c:1377
(12:02:14): syncing control state
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:14):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:14):
setting play button
[0x5b11f0] [rb_library_source_state_pref_changed] rb-library-source.c:1174
(12:02:14): state prefs changed
[0x5b11f0] [rb_library_source_state_prefs_sync] rb-library-source.c:1158
(12:02:14): syncing state
[0x5b11f0] [rb_source_header_gconf_disclosure_changed_cb] rb-source-header.c:419
(12:02:14): gconf disclosure changed
[0x5b11f0] [rb_shell_player_state_changed_cb] rb-shell-player.c:1435 (12:02:14):
state changed
[0x5b11f0] [rb_shell_player_sync_control_state] rb-shell-player.c:1377
(12:02:14): syncing control state
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:14):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:14):
setting play button
[0x5b11f0] [paned_changed_cb] rb-shell.c:2550 (12:02:14): paned changed
[0x5b11f0] [rb_shell_sync_paned] rb-shell.c:2508 (12:02:14): syncing paned to 110
[0x5b11f0] [rb_shell_player_state_changed_cb] rb-shell-player.c:1435 (12:02:14):
state changed
[0x5b11f0] [rb_shell_player_sync_control_state] rb-shell-player.c:1377
(12:02:14): syncing control state
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:14):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:14):
setting play button
[0x5b11f0] [rb_shell_player_state_changed_cb] rb-shell-player.c:1435 (12:02:14):
state changed
[0x5b11f0] [rb_shell_player_sync_control_state] rb-shell-player.c:1377
(12:02:14): syncing control state
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:14):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:14):
setting play button
[0x5b11f0] [rb_shell_player_state_changed_cb] rb-shell-player.c:1435 (12:02:14):
state changed
[0x5b11f0] [rb_shell_player_sync_control_state] rb-shell-player.c:1377
(12:02:14): syncing control state
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:14):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:14):
setting play button
[0x5b11f0] [idle_handle_load_complete] rb-shell.c:2411 (12:02:14): load complete
[0x5b11f0] [paned_size_allocate_cb] rb-shell.c:2530 (12:02:14): paned size allocate
[0x5b11f0] [rb_shell_player_state_changed_cb] rb-shell-player.c:1435 (12:02:14):
state changed
[0x5b11f0] [rb_shell_player_sync_control_state] rb-shell-player.c:1377
(12:02:14): syncing control state
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:14):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:14):
setting play button
[0x5b11f0] [paned_changed_cb] rb-shell.c:2550 (12:02:14): paned changed
[0x5b11f0] [rb_shell_sync_paned] rb-shell.c:2508 (12:02:14): syncing paned to 110
[0x5b11f0] [rb_playlist_manager_save_playlists] rb-playlist-manager.c:599
(12:02:24): saving the playlists
[0x5b11f0] [rb_playlist_manager_save_playlists] rb-playlist-manager.c:602
(12:02:24): no save needed, ignoring
[0x7add40] [rb_metadata_load] rb-metadata-gst.c:468 (12:02:28): loading metadata
for uri:
file:///home/rbell/mp3/coldplay/A%20Rush%20of%20Blood%20to%20the%20Head/clocks.mp3
[0x5b11f0] [rb_shell_player_state_changed_cb] rb-shell-player.c:1435 (12:02:28):
state changed
[0x5b11f0] [rb_shell_player_sync_control_state] rb-shell-player.c:1377
(12:02:28): syncing control state
[0x5b11f0] [rb_shell_player_sync_buttons] rb-shell-player.c:1684 (12:02:28):
syncing with source 0x82ad90
[0x5b11f0] [rb_shell_player_set_play_button] rb-shell-player.c:1577 (12:02:28):
setting play button
[0x7add40] [rb_metadata_gst_typefind_cb] rb-metadata-gst.c:421 (12:02:28): found
type application/x-id3
Segmentation fault
Comment 6 Rob 2005-08-13 03:21:01 EDT
Hello? Does anyone work on these?
Comment 7 Robert 2005-09-02 12:33:01 EDT
Ok two more weeks and no response. Status is NEEDINFO but you're going to have
to specify WHAT INFO you need. Debug output has been provided what else do you
need to fix this??????
Comment 8 Colin Walters 2005-09-02 13:39:18 EDT
Do you have any GStreamer plugins installed besides the Fedora defaults?

Can you try running this command on the file:

gst-launch-0.8 filesrc location=/path/to/my/musicfile.ogg ! typefind ! spider !
audio/x-raw-int ! fakesink

Replace /path/to/my/musicfile.ogg with the problematic file.
Comment 9 Robert 2005-09-02 13:50:01 EDT
[rbell@everest ~]$ gst-launch-0.8 filesrc location=mp3/nickelback/curb/curb.mp3
! typefind ! spider ! audio/x-raw-int ! fakesink
RUNNING pipeline ...
Segmentation fault

my plug-ins. THe only think I think I may have added was mp3 but I don't recall
if thats a default, I doubt it.
Trying to load global_registry ...
Added plugin gstgetbits with 0 features.
Added plugin gstoptomegascheduler with 1 feature.
Added plugin gstentrygthreadscheduler with 1 feature.
Added plugin gstindexers with 2 features.
Added plugin gstelements with 15 features.
Added plugin gstdataprotocol with 0 features.
Added plugin gstfairgthreadscheduler with 1 feature.
Added plugin gstbasicomegascheduler with 1 feature.
Added plugin gstspider with 2 features.
Added plugin gstentryomegascheduler with 1 feature.
Added plugin gstbytestream with 0 features.
Added plugin gstbasicgthreadscheduler with 1 feature.
Added plugin gstoptgthreadscheduler with 1 feature.
Added plugin gstoptscheduler with 1 feature.
Rebuilding user_registry (/home/rbell/.gstreamer-0.8/registry-i386.xml) ...
Loaded 14 plugins with 27 features.
Trying to load global_registry ...
Added plugin debug with 5 features.
Added plugin smpte with 1 feature.
Added plugin jpeg with 5 features.
Added plugin wavenc with 1 feature.
Added plugin decodebin with 1 feature.
Added plugin rfbsrc with 1 feature.
Added plugin gstmultifilesink with 1 feature.
Added plugin udp with 2 features.
Added plugin spectrum with 1 feature.
Added plugin multipart with 2 features.
Added plugin gsm with 2 features.
Added plugin gst1394 with 1 feature.
Added plugin gstgetbits with 0 features.
Added plugin gstresample with 0 features.
Added plugin interleave with 2 features.
Added plugin playondemand with 1 feature.
Added plugin audiorate with 1 feature.
Added plugin swfdec with 1 feature.
Added plugin gnomevfs with 2 features.
Added plugin trm with 1 feature.
Added plugin gstoptomegascheduler with 1 feature.
Added plugin gstidct with 0 features.
Added plugin stereo with 1 feature.
Added plugin png with 2 features.
Added plugin switch with 1 feature.
Added plugin snapshot with 1 feature.
Added plugin dvdlpcmdec with 1 feature.
Added plugin gdkpixbuf with 2 features.
Added plugin fameenc with 1 feature.
Added plugin audioscale with 1 feature.
Added plugin gstentrygthreadscheduler with 1 feature.
Added plugin gstindexers with 2 features.
Added plugin ffmpegcolorspace with 1 feature.
Added plugin gstelements with 15 features.
Added plugin gconfelements with 2 features.
Added plugin rtjpeg with 2 features.
Added plugin gstdataprotocol with 0 features.
Added plugin postproc with 17 features.
Added plugin artsdsink with 1 feature.
Added plugin median with 1 feature.
Added plugin cdplayer with 1 feature.
Added plugin rtp with 4 features.
Added plugin colorspace with 1 feature.
Added plugin gstfairgthreadscheduler with 1 feature.
Added plugin silence with 1 feature.
Added plugin monoscope with 1 feature.
Added plugin typefindfunctions with 66 features.
Added plugin mpeg1videoparse with 1 feature.
Added plugin subparse with 1 feature.
Added plugin vbidec with 1 feature.
Added plugin videodrop with 1 feature.
Added plugin tta with 2 features.
Added plugin videocrop with 1 feature.
Added plugin alaw with 2 features.
Added plugin gstbasicomegascheduler with 1 feature.
Added plugin dvdnavsrc with 1 feature.
Added plugin sine with 1 feature.
Added plugin speed with 1 feature.
Added plugin gstaudio with 0 features.
Added plugin mpegaudioparse with 1 feature.
Added plugin gst_arts with 1 feature.
Added plugin gstspider with 2 features.
Added plugin alphacolor with 1 feature.
Added plugin lame with 1 feature.
Added plugin videobox with 1 feature.
Added plugin passthrough with 1 feature.
Added plugin a52dec with 1 feature.
Added plugin filter with 3 features.
Added plugin deinterlace with 1 feature.
Added plugin mpeg2dec with 1 feature.
Added plugin videotestsrc with 1 feature.
Added plugin esdsink with 2 features.
Added plugin video4linux2 with 2 features.
Added plugin overlay with 1 feature.
Added plugin vcdsrc with 1 feature.
Added plugin gstaudioconvert with 2 features.
Added plugin gstvideo with 0 features.
Added plugin y4menc with 1 feature.
Added plugin autodetect with 2 features.
Added plugin videorate with 1 feature.
Added plugin level with 1 feature.
Added plugin textoverlay with 1 feature.
Added plugin xwindowlistener with 0 features.
Added plugin mpegaudio with 1 feature.
Added plugin video4linux with 5 features.
Added plugin videomixer with 1 feature.
Added plugin gstentryomegascheduler with 1 feature.
Added plugin ac3parse with 1 feature.
Added plugin faad with 1 feature.
Added plugin efence with 1 feature.
Added plugin auparse with 1 feature.
Added plugin festival with 1 feature.
Added plugin videoscale with 1 feature.
Added plugin ossaudio with 3 features.
Added plugin gstbytestream with 0 features.
Added plugin gstaf with 3 features.
Added plugin smooth with 1 feature.
Added plugin volenv with 1 feature.
Added plugin dvdreadsrc with 1 feature.
Added plugin cutter with 1 feature.
Added plugin ffmpeg with 223 features.
Added plugin cdparanoia with 1 feature.
Added plugin alpha with 1 feature.
Added plugin mpeg2sub with 1 feature.
Added plugin gstbasicgthreadscheduler with 1 feature.
Added plugin playbin with 1 feature.
Added plugin volume with 1 feature.
Added plugin gsttags with 1 feature.
Added plugin tcp with 7 features.
Added plugin mulaw with 2 features.
Added plugin gstaudiofilter with 0 features.
Added plugin ximagesink with 1 feature.
Added plugin gstvideofilter with 0 features.
Added plugin games with 1 feature.
Added plugin gstoptgthreadscheduler with 1 feature.
Added plugin gstoptscheduler with 1 feature.
Added plugin chart with 1 feature.
Added plugin qtdemux with 1 feature.
Added plugin riff with 0 features.
Added plugin flac with 3 features.
Added plugin system_encode with 1 feature.
Added plugin effectv with 8 features.
Added plugin alsa with 3 features.
Added plugin matroska with 2 features.
Added plugin adder with 1 feature.
Added plugin xvimagesink with 1 feature.
Added plugin synaesthesia with 1 feature.
Added plugin timeoverlay with 1 feature.
Added plugin smoothwave with 1 feature.
Added plugin modplug with 1 feature.
Added plugin mad with 4 features.
Added plugin ogg with 5 features.
Added plugin theora with 2 features.
Added plugin flxdec with 1 feature.
Added plugin glimagesink with 1 feature.
Added plugin goom with 1 feature.
Added plugin mpegstream with 4 features.
Added plugin gstequalizer with 1 feature.
Added plugin rmdemux with 1 feature.
Added plugin videobalance with 1 feature.
Added plugin vorbis with 4 features.
Added plugin navigationtest with 1 feature.
Added plugin avi with 2 features.
Added plugin dvdec with 1 feature.
Added plugin sdlvideosink with 1 feature.
Added plugin apetag with 1 feature.
Added plugin musepack with 1 feature.
Added plugin mixmatrix with 1 feature.
Added plugin monkeysaudio with 1 feature.
Added plugin mng with 2 features.
Added plugin speex with 2 features.
Added plugin gamma with 1 feature.
Added plugin videoflip with 1 feature.
Added plugin asf with 2 features.
Added plugin cdxaparse with 2 features.
Added plugin wavparse with 1 feature.
Rebuilding user_registry (/home/rbell/.gstreamer-0.8/registry-x86_64.xml) ...
Loaded 156 plugins with 538 features.
Comment 10 Robert 2005-09-02 13:54:44 EDT
just an additional comment. It appears to only be mp3s.

[rbell@everest ~]$ gst-launch-0.8 filesrc location=audio/MontyPython.ogg !
typefind ! spider ! audio/x-raw-int ! fakesink
RUNNING pipeline ...
Execution ended after 129 iterations (sum 354205000 ns, average 2745775 ns, min
34000 ns, max 294167000 ns).
Comment 11 Colin Walters 2005-09-02 13:58:49 EDT
Can you install gstreamer-debuginfo, gstreamer-plugins-debuginfo, and run the
command with gdb, like:

gdb --args gst-launch-0.8 filesrc location=mp3/nickelback/curb/curb.mp3
! typefind ! spider ! audio/x-raw-int ! fakesink

Then at the prompt type:
r  
(wait till it crashes)
t a a bt
Comment 12 Robert 2005-09-02 14:05:12 EDT
(gdb) r
Starting program: /usr/bin/gst-launch-0.8 filesrc
location=mp3/nickelback/curb/curb.mp3 \! typefind \! spider \! audio/x-raw-int
\! fakesink
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 46912496320896 (LWP 2514)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
RUNNING pipeline ...

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912496320896 (LWP 2514)]
0x0000000000000001 in ?? ()
(gdb) t a a bt

Thread 1 (Thread 46912496320896 (LWP 2514)):
#0  0x0000000000000001 in ?? ()
#1  0x00000033c1712e3c in g_quark_to_string () from /usr/lib64/libglib-2.0.so.0
#2  0x00002aaaae3ad0b5 in qt_type_find (tf=0x7ffffffaa330, unused=Variable
"unused" is not available.
) at gsttypefindfunctions.c:848
#3  0x00002aaaae9978e5 in simple_find_peek () from
/usr/lib64/gstreamer-0.8/libgstmad.so
#4  0x00000033c8142792 in gst_pad_call_chain_function () from
/usr/lib64/libgstreamer-0.8.so.1
#5  0x00000033c813ffe7 in gst_pad_push () from /usr/lib64/libgstreamer-0.8.so.1
#6  0x00002aaaadc8ff9f in gst_spider_identity_request_new_pad () from
/usr/lib64/gstreamer-0.8/libgstspider.so
#7  0x00002aaaadd96e5d in ?? () from /usr/lib64/gstreamer-0.8/libgstoptscheduler.so
#8  0x00002aaaadd965d1 in ?? () from /usr/lib64/gstreamer-0.8/libgstoptscheduler.so
#9  0x00002aaaadd9acf2 in ?? () from /usr/lib64/gstreamer-0.8/libgstoptscheduler.so
#10 0x00000033c8124324 in gst_bin_sync_children_state () from
/usr/lib64/libgstreamer-0.8.so.1
#11 0x00000033c815ec25 in gst_marshal_BOOLEAN__VOID () from
/usr/lib64/libgstreamer-0.8.so.1
#12 0x00000033c1d0a27d in g_closure_invoke () from /usr/lib64/libgobject-2.0.so.0
#13 0x00000033c1d17716 in g_signal_stop_emission () from
/usr/lib64/libgobject-2.0.so.0
#14 0x00000033c1d18544 in g_signal_emit_valist () from
/usr/lib64/libgobject-2.0.so.0
#15 0x00000033c1d18bb7 in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
#16 0x00000033c81244e4 in gst_bin_iterate () from /usr/lib64/libgstreamer-0.8.so.1
#17 0x0000000000401df2 in ?? ()
#18 0x00000033c172499e in g_main_context_dispatch () from
/usr/lib64/libglib-2.0.so.0
#19 0x00000033c1727644 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#20 0x00000033c1727b30 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#21 0x0000000000402a19 in ?? ()
#22 0x00000033bed1c3cf in __libc_start_main () from /lib64/libc.so.6
#23 0x0000000000401d29 in ?? ()
#24 0x00007ffffffab138 in ?? ()
#25 0x0000000000000000 in ?? ()
(gdb)
Comment 13 Edward Grace 2005-10-06 06:19:22 EDT
(In reply to comment #10)
> just an additional comment. It appears to only be mp3s.

Sadly not.  One might say it also can't get over Bob Dylan.  When importing "The
Essential Bob Dylan Disc 1" it barfs on the .ogg files.  The following errors
pop up:

Gstreamer encountered a general supporting library error. file://<blah>/Quinn
The Eskimo The Mighty Quinn.ogg 

From that point on it fails on all the other .ogg files.

This seems to be an endemic problem, presumably with the GStreamer library. XMMS
plays them all just fine. 
Comment 14 Edward Grace 2005-10-06 06:39:28 EDT
(In reply to comment #10)
> just an additional comment. It appears to only be mp3s.
> 
> [rbell@everest ~]$ gst-launch-0.8 filesrc location=audio/MontyPython.ogg !
> typefind ! spider ! audio/x-raw-int ! fakesink
> RUNNING pipeline ...
> Execution ended after 129 iterations (sum 354205000 ns, average 2745775 ns, min
> 34000 ns, max 294167000 ns).

Carrying this out for the ogg mentioned in comment #13, 

[graceej@ptpc3lin The Essential Bob Dylan Disc 1]$ gst-launch-0.8 filesrc
location=Quinn\ The\ Eskimo\ The\ Mighty\ Quinn.ogg ! typefind ! spider !
audio/x-raw-int ! fakesink
RUNNING pipeline ...
ERROR: from element /pipeline0/spider0/ffdemux_mp30: GStreamer encountered a
general supporting library error.
Additional debug info:
gstffmpegdemux.c(550): gst_ffmpegdemux_open: /pipeline0/spider0/ffdemux_mp30:
Unknown error
Execution ended after 2 iterations (sum 7113456000 ns, average 3556728000 ns,
min 2707000 ns, max 7110749000 ns).


Whereas for a working file:

[graceej@ptpc3lin Aerosmith - O, Yeah! Ultimate Aerosmith Hits (Disc 2)]$
gst-launch-0.8 filesrc location=01\ -\ The\ Other\ Side.ogg ! typefind ! spider
! audio/x-raw-int ! fakesink
RUNNING pipeline ...
Execution ended after 14155 iterations (sum 3578313000 ns, average 252794 ns,
min 25000 ns, max 102568000 ns).

A gdb session for the failing file in the same vain as comment #12 also follows.
 It appears to fail in a wonderfully different way to comment #12.

[graceej@ptpc3lin The Essential Bob Dylan Disc 1]$ gdb --args gst-launch-0.8
filesrc location=Quinn\ The\ Eskimo\ The\ Mighty\ Quinn.ogg ! typefind ! spider
! audio/x-raw-int ! fakesink
GNU gdb Red Hat Linux (6.3.0.0-1.21rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) r
Starting program: /usr/bin/gst-launch-0.8 filesrc location=Quinn\ The\ Eskimo\
The\ Mighty\ Quinn.ogg \! typefind \! spider \! audio/x-raw-int \! fakesink
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0x6a0000
[Thread debugging using libthread_db enabled]
[New Thread -1208588608 (LWP 4291)]
RUNNING pipeline ...
ERROR: from element /pipeline0/spider0/ffdemux_mp30: GStreamer encountered a
general supporting library error.
Additional debug info:
gstffmpegdemux.c(550): gst_ffmpegdemux_open: /pipeline0/spider0/ffdemux_mp30:
Unknown error
Execution ended after 2 iterations (sum 6476091000 ns, average 3238045500 ns,
min 8205000 ns, max 6467886000 ns).

Program exited with code 03.
(gdb) t a a bt
(gdb) q

Whereas for the working file:

[graceej@ptpc3lin Aerosmith - O, Yeah! Ultimate Aerosmith Hits (Disc 2)]$ gdb
--args gst-launch-0.8 filesrc location=01\ -\ The\ Other\ Side.ogg ! typefind !
spider ! audio/x-raw-int ! fakesink
GNU gdb Red Hat Linux (6.3.0.0-1.21rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) r
Starting program: /usr/bin/gst-launch-0.8 filesrc location=01\ -\ The\ Other\
Side.ogg \! typefind \! spider \! audio/x-raw-int \! fakesink
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0x11e000
[Thread debugging using libthread_db enabled]
[New Thread -1208162624 (LWP 4383)]
RUNNING pipeline ...
Execution ended after 14155 iterations (sum 3597816000 ns, average 254172 ns,
min 25000 ns, max 195048000 ns).

Program exited normally.
(gdb) t a a bt
(gdb) q


Perhaps the problem is that the GStreamer library is misclassifying some ogg
files as mp3s, hence the reference to: 

gstffmpegdemux.c(550): gst_ffmpegdemux_open: /pipeline0/spider0/ffdemux_mp30:

I hope that helps.
Comment 15 John Thacker 2006-04-29 09:56:30 EDT
Can you duplicate this on FC5 with the rhythmbox-0.9.4.1-1.fc5.1 update?  
There have been a lots of fixes related to similar problems to this, 
and gstreamer has switched to 0.10.x as well, which could change things.

Setting to FC4 since according to Comment #5 it shows up there, and
FC2 and FC3 are now Fedora Legacy.
Comment 16 John Thacker 2006-10-30 09:07:44 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.